/**************************************************************************

    tfourier.h  - The functions that do the Fourier transform by its definition
    Copyright (C) 1998  Antonio Larrosa Jimenez

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Send comments and bug fixes to antlarr@arrakis.es
    or to Antonio Larrosa, Rio Arnoya, 10 5B, 29006 Malaga, Spain

***************************************************************************/  
#ifndef TFOURIER_H
#define TFOURIER_H
#include <sys/types.h>
#include <complex.h>

#ifndef PI
#define PI        3.14159265358979323846
#endif

/* 

Keep in mind that images are stored with
[h][w], thus first index is height and second is width
*/

int FT_Direct(int w,int h,u_int **in,double_complex **out);
int FT_Inverse(int w,int h,double_complex **in,u_int **out);

#endif
